Class Logger

	Public Sub PlayGame( GameID )		: Log "PLGME",GameID 					: End Sub
	Public Sub FinishGame( GameID ) 	: Log "FNGME",GameID					: End Sub
	Public Sub Logon( Success )			: Log "LOGIN", CInt(CBool(Success))*-1 	: End Sub
	Public Sub DeleteComment(G,C)		: Log2 "DELCM", G, Left(C,450)			: End Sub
	Public Sub ReadMessage(MessageID) 	: Log "RDMSG",MessageID					: End Sub
	Public Sub PostMessage(MessageID) 	: Log "PSMSG",MessageID					: End Sub
	Public Sub ReadHistory()			: Log "RDHST",0							: End Sub
	Public Sub CreateAccount()			: Log "CRACT",0							: End Sub
	Public Sub AdminGame(GameID)		: Log "ADMGM",GameID					: End Sub
	Public Sub PublishGame(GameID)		: Log "PBGME",GameID					: End Sub
	Public Sub UnPublishGame(GameID)	: Log "UPGME",GameID					: End Sub
	Public Sub CreateGame(GameID)		: Log "CRGME",GameID					: End Sub
	Public Sub LeaveComment(G,C)		: Log2 "LCMNT", G, C					: End Sub
	Public Sub DeleteGame(G,T)			: Log2 "DELGM", G, T					: End Sub
	Public Sub DeleteMessage(MsgId, Txt): Log2 "DLMSG", MsgId, Txt				: End Sub	
	Public Sub MoveMessage(MessageID) 	: Log "MVMSG",MessageID					: End Sub		
	
	Private Function DbClean(s)
		DbClean = Replace(s,"'","''")
	End Function

	Private Sub Log( EventID, DataID )
		Log2 EventID, DataID, Null
	End Sub
	
	Private Sub Log2( EventID, DataID, Notes )
'		On Error Resume Next
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = _
				"INSERT INTO Logs ([Event ID],[Data ID],Username,Notes,IP) " & _
				"VALUES (?, ?, ?, ?, ?)"
			.Parameters.Append .CreateParameter("EventID", adChar, adParamInput, 5, EventId)
			.Parameters.Append .CreateParameter("DataID", adInteger, adParamInput, 4, DataID)
			If Session("LoggedOn") Then
				.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 50, Session("Username"))
			Else
				.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 50, Null)
			End If
			.Parameters.Append .CreateParameter("Notes", adVarChar, adParamInput, 500, Left(Notes,500))
			.Parameters.Append .CreateParameter("IP", adVarChar, adParamInput, 50, Request.ServerVariables("REMOTE_ADDR"))
			.Execute
		End With

	End Sub

	'database connection. opened on first use, closed on class terminate
	Private m_Conn
	Private Property Get Conn
		If Not IsObject(m_Conn) Then 
			Set m_Conn = Server.CreateObject("ADODB.Connection")
			m_Conn.Open Application("ConnectionString")			
		End If
		Set Conn = m_Conn
	End Property

	'close the connection
	Private Sub Class_Terminate() : If IsObject(m_Conn) Then m_Conn.Close() : End If : End Sub


End Class