<%option explicit%>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../Includes/gameValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/CheckHeader.vbs"></script>
<script runat="server" language="jscript" src="../../Includes/dataGrid2.js"></script>
<script runat="server" language="vbscript" src="navigation.vbs"></script><%
CheckHeader "items.aspx"

Dim Action : Action = LCase(Request.Form("pbAction"))
Dim Value : Value = Request.Form("pbValue")
Dim GameID : If Len(Request.Form("GameID")) _
	Then GameID = CLng(Request.Form("GameID")) _
	Else GameID = CLng(Request.QueryString())

ValidateGame(GameID)

Select Case Action
  Case "nav" : Navigate Value,GameID
  Case "delete_item" : DeleteItem GameId, CLng(Value)
End Select

	Dim scriptingLevel, itemLevel
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionSTring")
		.CommandText = "ChooseYourStory.dbo.Story_Editing_GetEditorOptions"
		.CommandType = adCmdStoredProc
		.Parameters.Append .CreateParameter("@StoryId",adInteger,adParamInput,4,GameId)
		.Parameters.Append .CreateParameter("@User_Username",adVarChar,adParamInput,20,Session("Username"))
		With .Execute
			itemLevel = .Fields("Item_Level")
			scriptingLevel = .Fields("Scripting_Level")
		End With
	End With


Sub DeleteItem( GameId, ItemId )
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = _
			"DELETE FROM [Game Items] " & _
			" WHERE [Game Id] = ? " & _
			"   AND [Item Id] = ? "
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)	
		.Parameters.Append .CreateParameter("ItemId",adInteger,adParamInput,4,ItemId)	
		.Execute
	End With		
End Sub

Dim Items : Set Items = CreateDataGrid(GameId, scriptingLevel<>"Disabled")
Dim ItemCount
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = _
			"SELECT COUNT(*) FROM [Game Items] " & _
			" WHERE [Game Id] = ? "
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)	
		ItemCount = .Execute.Fields(0).Value
	End With	
%>
<script runat="server" language="jscript">
function CreateDataGrid(GameId, showIds)
{
	var cmd = new ActiveXObject("ADODB.Command");
	
	cmd.ActiveConnection = Application("ConnectionString");
	cmd.CommandText = 
		"SELECT NULL [Edit Button], NULL [Delete Button], [Item Id], [Title] [Item Title] " +
		"  FROM [Game Items] " +
		" WHERE [Game Id]=? ORDER BY [Title]";
	cmd.Parameters.Append( cmd.CreateParameter("GameId", adInteger, adParamInput, 4, GameId) );

	var dg = new DataGrid(cmd.Execute);
	dg.ShowHeadings = false;
	dg.CellPadding = 5;
	
	dg.Columns["Item Id"].Visible = (showIds) ? true : false;
	dg.Columns["Edit Button"].RenderText = function() 
	{ 
		return '<img src="images/edit.gif" width="12" height="12" style="cursor:pointer;" alt="Edit Item"' +
				' onclick="location=\'item.aspx?GameId=' + GameId + '&ItemId=' + dg.Columns["Item Id"].GetValue() + '\';" />';
	}
	dg.Columns["Delete Button"].RenderText = function() 
	{ 
		return '<img src="images/delete.gif" width="12" height="12" style="cursor:pointer;" alt="Delete Item" ' +
				'onclick="' +
				"if (confirm('Are you sure you want to delete this item?\\n\\nThis cannot be undone.')) PostBack('delete_item','" + dg.Columns["Item Id"].GetValue() + "');" +
			'">'
	}

	dg.Columns["Item Title"].CssClass ='smallerText';
	dg.Columns["Item Id"].CssClass ='smallerText';
	dg.Columns["Item Id"].Align ='right';
	dg.Columns["Item Id"].RenderText = function() 
	{ 
		return "[#" + dg.Columns["Item Id"].GetValue() + "] ";
	}	


	dg.AlternatingBgColor='#FFF3E5';
	dg.BgColor='#FFFBF4';
	
	return dg;

}
</script>


<div  id="mainContent">
<h1>Advanced Editor &raquo; Items</h1>		
		
<% WriteSecondaryNavigation %>		

	<form name="mainForm" method="post" style="margin:0px ">
	  <input type="hidden" name="pbAction" value="">
	  <input type="hidden" name="pbValue" value="">
 	  <input type="hidden" name="GameID" value="<%=GameID%>">
	  <input type="hidden" name="NewVariable" value="">
	</form>
	<p>Similar to many video games, items stay with the reader throughout the <%=Session("Story") %>
	and can be used to take the reader from one page to another. Make sure to read 
	<a href="/help/articles/article.aspx?ArticleId=2" target="_blank">Working With Items</a>
	for much more information.
	</p>
	<input style="margin-bottom: 0.5rem; margin-top: 0.5rem;" type="button" value="Create New Item" onclick="location='item.aspx?GameId=<%=GameID%>';">
	<h2 style="margin: 10px 0px 5px 0px;">Items List</h2>
	<% Items.Display %>
	<input style="margin-top: 0.5rem;" type="button" value="Create New Item" onclick="location='item.aspx?GameId=<%=GameID%>';">
</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
