<%option explicit%>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../Includes/gameValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/CHeckHeader.vbs"></script>
<script runat="server" language="jscript" src="../../Includes/dataGrid2.js"></script>
<script runat="server" language="vbscript" src="navigation.vbs"></script><%

CHeckHeader "Variables.aspx"

Dim Action : Action = LCase(Request.Form("pbAction"))
Dim Value : Value = Request.Form("pbValue")
Dim GameID : If Len(Request.Form("GameID")) _
	Then GameID = CLng(Request.Form("GameID")) _
	Else GameID = CLng(Request.QueryString())

ValidateGame(GameID)

Select Case Action
  Case "nav" : Navigate Value,GameID
  Case "page" : Response.Redirect("previewPage.asp?" & GameID & "." & Value)
  Case "renamevariable" : RenameVariable GameID, Value, Request.Form("NewVariable")
  Case "newvariable" : CreateNewVariable GameID, Value
  Case "deletevariable" : DeleteVariable GameID, Value
End Select

Function CreateNewVariable(GameID, Variable)
	On Error Resume Next
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "INSERT INTO [Game Variables] ([Game Id],[Variable]) VALUES (?,?)"
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,8,GameID)
		.Parameters.Append .CreateParameter("Variable",adVarChar,adParamInput,10,Variable)
		.Execute
	End With
End Function

Function RenameVariable(GameID, Variable, NewVariable)
	'On Error Resume Next
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "UPDATE [Game Variables] SET [Variable]=? WHERE [Game Id]=? AND [Variable]=? "
		.Parameters.Append .CreateParameter("NewVariable",adVarChar,adParamInput,10,NewVariable)
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,8,GameID)
		.Parameters.Append .CreateParameter("Variable",adVarChar,adParamInput,10,Variable)		
		.Execute
	End With
End Function

Function DeleteVariable(GameID, Variable)
	'On Error Resume Next
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "DELETE FROM [Game Variables] WHERE [Game Id]=? AND [Variable]=?"
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,8,GameID)
		.Parameters.Append .CreateParameter("Variable",adVarChar,adParamInput,10,Variable)
		.Execute
	End With
End Function
%>
<script runat="server" language="jscript">
function DisplayVariables(GameId)
{
	var cmd = new ActiveXObject("ADODB.Command");
	
	cmd.ActiveConnection = Application("ConnectionString");
	cmd.CommandText = 
		"SELECT NULL [Delete Button], NULL [Edit Button], [Variable],  " +
		"       COALESCE(CAST([Min Value] AS VARCHAR(8)),'-') [Min], " + 
		"       COALESCE(CAST([Max Value] AS VARCHAR(8)),'-') [Max], " +
		"       COALESCE(CAST([Default Value] AS VARCHAR(8)),'-') [Start], " +	
		"       CASE WHEN [Display On Page]=1 THEN 'Yes' ELSE 'No' END [Disp. On Pg.] " +
		"  FROM [Game Variables] " +
		" WHERE [Game Id]=? " +
		" ORDER BY CASE WHEN [Variable]='SCORE' THEN 1 ELSE 2 END, [Variable] ";
	cmd.Parameters.Append( cmd.CreateParameter("GameId", adInteger, adParamInput, 4, GameId) );

	var dg = new DataGrid(cmd.Execute);
	dg.CellPadding = 5;
	
	for (var i=0;i<dg.Columns.length;i++)
	{
		dg.Columns[i].HeadingAlign = 'center';
		dg.Columns[i].Align = 'center';
		dg.Columns[i].CssClass = 'smallerText';
	}

	dg.Columns["Edit Button"].HeadingText = "";
	dg.Columns["Edit Button"].RenderText = function() 
	{ 
		//if (dg.Columns["Variable"].GetValue() == "SCORE")
		//	return "";//'<img src="../../images/spacer.gif" width="12" height="12" />';
		
		return '<img src="images/edit.gif" width="12" height="12" style="cursor:pointer;" alt="Rename Variable"' +
				' onclick="location=\'variable.aspx?GameId=' + GameId + '&Variable=' + dg.Columns["Variable"].GetValue() + '\';" />';
	}
	
	dg.Columns["Delete Button"].HeadingText = "";
	dg.Columns["Delete Button"].RenderText = function() 
	{ 
		if (dg.Columns["Variable"].GetValue() == "SCORE") 
				return "";//'<img src="../../images/spacer.gif" width="12" height="12" />';
				
		return '<img src="images/delete.gif" width="12" height="12" style="cursor:pointer;" alt="Delete Variable" ' +
				'onclick="' +
				"deleteVariable('" + dg.Columns["Variable"].GetValue() + "');" +
			'">'
	}

	dg.Display();

}
</script>



<div id="mainContent">
	<form name="mainForm" method="post" style="margin:0px ">
	  <input type="hidden" name="pbAction" value="">
	  <input type="hidden" name="pbValue" value="">
 	  <input type="hidden" name="GameID" value="<%=GameID%>">
	  <input type="hidden" name="NewVariable" value="">
	</form>
<h1>Advanced Editor &raquo; Variables</h1>		
<% WriteSecondaryNavigation %>		
	<p>
		A <em>variable</em> is a number that stays with the player through the whole <%=Session("Story") %>. 
		As an author,	you can add or subtract variables and use them to show or hide links 
		throughout the <%=Session("Story") %>. It's a big topic, so make sure
		to read <a href="/help/articles/article.aspx?ArticleId=1">Working with Variables</a> to learn more.</p>
	<input style="margin-bottom:0.5rem; margin-top: 0.5rem;" type="button" value="Create New Variable" onclick="location='variable.aspx?GameId=<%=GameId%>';">
	<h2 style="margin: 10px 0px 0px 0px;">Variable List</h2>
	<% DisplayVariables GameId %>
	<input style="margin-top: 0.5rem;" type="button" value="Create New Variable" onclick="location='variable.aspx?GameId=<%=GameId%>';">
</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>