function CreateDataGrid(rs) { return new DataGrid(rs); }
function DataGrid(RecordSet)
{
	var rs = RecordSet;

	this.AlternatingBgColor='#eaeaea';
	this.BgColor='#ffffff';
	this.Width = null;
	
	var alt = false;
	
	this.Columns = Array();	
	for (var i=0;i<rs.Fields.Count;i++)
	{
		this.Columns[i] = Object();
		this.Columns[rs.Fields(i).Name]=this.Columns[i];
		this.Columns[i].Index = i;
		this.Columns[i].Value = function () {return rs.Fields(this.Index).Value;}
		this.Columns[i].Visisble = true;
		this.Columns[i].Heading = rs.Fields(i).Name;
		this.Columns[i].HeadingAlign = null;
		this.Columns[i].Width = null;
		this.Columns[i].Style = null;
		this.Columns[i].Align= null;

		this.Columns[i].WriteHeading = function(h) {
			write('<th');
			if (this.HeadingAlign) write(' align="'+this.HeadingAlign+'"');
			if (this.Width) write(' width="'+this.Width+'"');
			if (this.HeadingStyle) write(' style="'+this.HeadingStyle+'"');			
			write('>');
			this.WriteHeadingText(this.Heading);
			write('</th>');
		}
		this.Columns[i].WriteHeadingText = function(h) {write(h);}

		this.Columns[i].WriteFieldText = null;
	}
	
	this.RenderTableOpen = function() {
		write('<table cellpadding="3" cellspacing="0" border="0"');
		if (this.Width) write(' width="'+this.Width+'"');
		write('>');
	}
	this.RenderTableClose = function() {write('</table>');}
	this.RenderColumns = function() {write('<tr>');for (var i=0;i<this.Columns.length;i++) this.RenderColumn(this.Columns[i]); write('</tr>');}
	this.RenderColumn = function(col) {if (col.Visisble) col.WriteHeading();}

	this.RenderRows = function() {while (!rs.EOF) {this.RenderRow();rs.MoveNext();}}
	this.RenderRow = function() {
		write('<tr');
		write(' bgcolor="' + (alt?this.AlternatingBgColor:this.BgColor) + '"');
		write('>');
		for (var i=0;i<rs.Fields.Count;i++) this.RenderField(i,rs.Fields(i));
		write('</tr>');
		alt = !alt;
	}

	this.RenderField = function(i,fld) {
			if (this.Columns[i].Visisble) {
				write('<td');
				if (this.Columns[i].Width) write(' width="'+this.Columns[i].Width+'"');
				if (this.Columns[i].Style) write(' style="'+this.Columns[i].Style+'"');
				if (this.Columns[i].Align) write(' align="'+this.Columns[i].Align+'"');				
				write('>');				
				this.RenderFieldText(i,fld.Value);
				write('</td>');
			}
		}
	
	this.RenderFieldText = function(i,t) {if (this.Columns[i].WriteFieldText) this.Columns[i].WriteFieldText(t); else write(t);}
	this.Render = function()
	{
		this.RenderTableOpen();
		this.RenderColumns();
		this.RenderRows();
		this.RenderTableClose();
	}
	
	var write = function(o) {Response.Write(o);}
}