
Sub LogOff
	Response.Cookies("Username") = Empty
	Response.Cookies("Password") = Empty
	Response.Cookies("Username").Expires = Now() - 1
	Response.Cookies("Password").Expires = Now() - 1	
	Session.Abandon
End Sub


Function LogOn(Username, Password)

	'verify name/password	
	Dim Conn : Set Conn = Server.CreateObject("ADODB.Connection")
	Conn.Open Application("ConnectionString")
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = _
			"SELECT [Username], [Rich Text Editor Indicator], [Private Message Indicator], " & _
			"       [Banned Indicator] " & _
			"  FROM [Users] WHERE [Username]=? AND [Password]=? COLLATE Latin1_General_CS_AS"
		.Parameters.Append .CreateParameter("Username",adVarChar,adParamInput,20,Username)
		.Parameters.Append .CreateParameter("Password",adVarChar,adParamInput,50,Password)
		With .Execute
			If .EOF Then
				LogOn = False
				Session("LoggedOn") = False
				Session("Username") = Empty
				Session("Rich Text Editor Indicator") = "N"
				Session("Private Message Indicator") = "N"
				Username = Null
			Else
				Session("Username") = .Fields("Username").Value
				Session("LoggedOn") = True
				Session("Rich Text Editor Indicator") = .Fields("Rich Text Editor Indicator").Value
				Session("Private Message Indicator") = .Fields("Private Message Indicator").Value
				Username = Session("Username")
				LogOn = True
				If .Fields("Banned Indicator").Value = "Y" Then
					Response.Cookies("1") = "9"
					Response.Cookies("1").Expires = Now + 365
				End If
			End If
		End With
	End With
		
	Dim Roles
	If Not IsNull(Username) Then
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = "SELECT [Role] FROM [Privileges] WHERE [Username]=?"
			.Parameters.Append .CreateParameter("Username",adVarChar,adParamInput,20,Username)
			With .Execute
				Do While Not .EOF
					If Not IsEmpty(Roles) Then Roles = Roles & ","
					Roles = Roles & .Fields("Role").Value
					.MoveNext
				Loop
			End With
		End With	
	End If
	Session("Roles") = Roles
	
	Conn.Close
End Function